## python-mypermobil 0.1.8

=== requirements.txt ===
aiohttp
aiocache

=== debian/changelog ===
python-mypermobil (0.1.8-2) unstable; urgency=medium

  * Add debian/salsa-ci.yml.
  * Disable test_request_item_404. (Closes: #1090280)

 -- Tianyu Chen <billchenchina2001@gmail.com>  Sun, 31 Aug 2025 04:33:41 +0800

python-mypermobil (0.1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 18:42:30 -0500

python-mypermobil (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1085935)

 -- Tianyu Chen <billchenchina2001@gmail.com>  Wed, 23 Oct 2024 21:49:50 +0800

=== debian/control ===
Source: python-mypermobil
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Tianyu Chen <billchenchina2001@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 python3-aiocache,
 python3-aiohttp,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiounittest,
 python3-pytest,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mypermobil.git
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mypermobil

Package: python3-mypermobil
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python wrapper for the MyPermobil API
 A Python library to interact with the MyPermobil API

=== debian/rules ===
#!/usr/bin/make -f

# Exclude the network-dependent TestRegion.test_region test
export PYBUILD_TEST_ARGS = -k "not test_region and not test_request_item_404"

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/Permobil-Software/mypermobil/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
